| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Data Structures | Macros | Enumerations | Functions
ANT search configuration
ANT utilities

ANT channel search configuration module. More...

## Modules
| ANT common search configuration configuration

## Data Structures
struct | ant_search_config_t
| ANT search configuration structure. More...

## Macros
#define | ANT_SEARCH_SHARING_CYCLES_DISABLE 0x00
| Disable search sharing.
#define | ANT_LOW_PRIORITY_SEARCH_DISABLE 0x00
| Disable low priority search.
#define | ANT_LOW_PRIORITY_TIMEOUT_DISABLE 0xFF
| Disable low priority search time-out.
#define | ANT_HIGH_PRIORITY_SEARCH_DISABLE 0x00
| Disable high priority search.
#define | ANT_HIGH_PRIORITY_TIMEOUT_DISABLE 0xFF
| Disable high priority search time-out.
#define | DEFAULT_ANT_SEARCH_CONFIG(CHANNEL_NUMBER)
| Initializes the default ANT search configuration structure. More...

## Enumerations
enum | ant_search_priority_t { ANT_SEARCH_PRIORITY_DEFAULT = 0, ANT_SEARCH_PRIORITY_LOWEST = ANT_SEARCH_PRIORITY_DEFAULT, ANT_SEARCH_PRIORITY_0 = ANT_SEARCH_PRIORITY_LOWEST, ANT_SEARCH_PRIORITY_1 = 1, ANT_SEARCH_PRIORITY_2 = 2, ANT_SEARCH_PRIORITY_3 = 3, ANT_SEARCH_PRIORITY_4 = 4, ANT_SEARCH_PRIORITY_5 = 5, ANT_SEARCH_PRIORITY_6 = 6, ANT_SEARCH_PRIORITY_7 = 7, ANT_SEARCH_PRIORITY_HIGHEST = ANT_SEARCH_PRIORITY_7 }
| Search priority. More...
enum | ant_waveform_t { ANT_WAVEFORM_DEFAULT = 316, ANT_WAVEFORM_FAST = 97 }
| ANT search waveform. More...

## Functions
uint32_t | ant_search_init (ant_search_config_t const *p_config)
| Function for configuring the ANT channel search. More...

## Detailed Description

ANT channel search configuration module.

## Macro Definition Documentation

#define DEFAULT_ANT_SEARCH_CONFIG | ( |  | CHANNEL_NUMBER | ) |

Value:
{ \
.channel_number = CHANNEL_NUMBER, \
.low_priority_timeout = ANT_DEFAULT_LOW_PRIORITY_TIMEOUT, \
.high_priority_timeout = ANT_DEFAULT_HIGH_PRIORITY_TIMEOUT, \
.search_sharing_cycles = ANT_SEARCH_SHARING_CYCLES_DISABLE, \
.search_priority = ANT_SEARCH_PRIORITY_DEFAULT, \
.waveform = ANT_WAVEFORM_DEFAULT, \
}

Initializes the default ANT search configuration structure.

Parameters

  [in] | CHANNEL_NUMBER | Number of the channel.

## Enumeration Type Documentation

enum ant_search_priority_t

Search priority.

Enumerator
ANT_SEARCH_PRIORITY_DEFAULT | Default search priority level.
ANT_SEARCH_PRIORITY_LOWEST | Lowest search priority level.
ANT_SEARCH_PRIORITY_HIGHEST | Highest search priority level.

enum ant_waveform_t

ANT search waveform.

Enumerator
ANT_WAVEFORM_DEFAULT | Standard search waveform value.
ANT_WAVEFORM_FAST | Accelerated search waveform value.

## Function Documentation

uint32_t ant_search_init | ( | ant_search_config_t const * | p_config | ) |

Function for configuring the ANT channel search.

Parameters

  [in] | p_config | Pointer to the search configuration structure.

Return values

  NRF_SUCCESS | If the channel was successfully configured. Otherwise, an error code is returned.